Package fr.gouv.vitam.common.database.builder.query.action

# Class MinAction

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.Action
fr.gouv.vitam.common.database.builder.query.action.MinAction

public class MinAction extends Action
Min Action: $min : { name : value }

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `currentAction, currentObject, currentUPDATEACTION, ready`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MinAction()`
  ``
  `MinAction(String variableName, boolean value)`
  Min Action constructor
  ``
  `MinAction(String variableName, double value)`
  Min Action constructor
  ``
  `MinAction(String variableName, long value)`
  Min Action constructor
  ``
  `MinAction(String variableName, String value)`
  Min Action constructor
  ``
  `MinAction(String variableName, Date value)`
  Min Action constructor

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `clean, createActionValueArrayVariable, createActionVariables, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, getCurrentAction, getCurrentObject, getUPDATEACTION, isReady, setReady, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MinAction

    protected MinAction()

  - ### MinAction

    public MinAction(String variableName, long value) throws InvalidCreateOperationException
    Min Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### MinAction

    public MinAction(String variableName, double value) throws InvalidCreateOperationException
    Min Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### MinAction

    public MinAction(String variableName, Date value) throws InvalidCreateOperationException
    Min Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### MinAction

    public MinAction(String variableName, boolean value) throws InvalidCreateOperationException
    Min Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### MinAction

    public MinAction(String variableName, String value) throws InvalidCreateOperationException
    Min Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid